<?php namespace EscapeWork\Manager\Downloads\Models;

use EscapeWork\LaravelHelpers\BaseModel;
use EscapeWork\Manager\Medias\Helpers\SingleMediaUpload;
use InvalidArgumentException;

class Download extends BaseModel implements SingleMediaUpload
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'downloads';

    /**
     * Fillable fields
     */
    protected $fillable = array(
        'category_id',
        'title',
        'description',
        'created_at',
        'updated_at'
    );

    /**
     * Validation rules
     */
    public $validationRules = array(
        'category_id' => array('required'),
        'title'       => array('required'),
    );

    /**
     * Mensagens de validação
     */
    public $validationMessages = array(
        'category_id.required' => 'A categoria é obrigatória',
        'title.required'       => 'O título é obrigatório',
    );

    public function getSingleMediaFile()
    {
        return $this->thumb;
    }

    public function getSingleMediaFolder()
    {
        return 'files/downloads';
    }

    public function getSingleMediaName()
    {
        return 'thumb';
    }
}
