@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a></li>
        <li><a href="{{ route('manager.downloads.index') }}">Downloads</a></li>
        <li><a href="{{ route('manager.downloads.categories.index') }}">Categorias</a></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Downloads / Categorias</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.downloads.categories.index') }}" class="btn btn-default">Cancelar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    @include('manager::inc.messages')

    <form action="{{ !$edit ? route('manager.downloads.categories.store') : route('manager.downloads.categories.update', $downloadCategory->id) }}" method="post" id="form-download-categories" class="form-horizontal">
        @if ($edit)
            <input type="hidden" name="_method" value="put" />
        @endif

        <fieldset>
            @section('fields')
                <div class="form-group">
                    <label for="category" class="col-sm-2 control-label">Categoria</label>

                    <div class="col-sm-8">
                        <input type="text" name="title" id="title" class="form-control" value="{{ $downloadCategory->title }}" required autofocus />
                    </div><!-- .controls -->
                </div><!-- .control-group -->
            @show
        </fieldset>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary" >Salvar</button>
                <a href="{{ route('manager.downloads.categories.index') }}" class="btn">Cancelar</a>
            </div>
        </div><!-- .form-actions -->
    </form>

@stop
