@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a></li>
        <li><a href="{{ route('manager.downloads.categories.index') }}">Downloads</a></li>
        <li class="active">Categorias</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Downloads / Categorias</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            @if (Check::can('download_categories', 'create'))
                <a href="{{ route('manager.downloads.categories.create') }}" class="btn btn-primary">Inserir nova categoria</a>
            @endif
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

   @include('manager::inc.messages')

    @if (Check::can('download_categories', 'read'))
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Titulo</th>
                    <th width="15%">Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($downloadCategories as $downloadCategory)
                    <tr>
                        <td>{{ $downloadCategory->id }}</td>
                        <td>{{ $downloadCategory->title }}</td>
                        <td>
                            <div class="btn-group btn-group-sm">

                                <a href="{{ route('manager.downloads.categories.edit', $downloadCategory->id) }}" class="btn btn-default" title="Editar">
                                    <span class="input-addon"><span class="glyphicon glyphicon-pencil"></span></span>
                                    editar
                                </a>

                                <a href="{{ route('manager.downloads.categories.destroy', $downloadCategory->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                    <span class="input-addon"><span class="glyphicon glyphicon-trash"></span></span>
                                    excluir
                                </a>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        {{ $downloadCategories->appends(Input::except('page'))->links() }}
    @endif
@stop
