@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a></li>
        <li class="active">Downloads</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Downloads</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            @if (Check::can('downloads', 'create'))
                <a href="{{ route('manager.downloads.create') }}" class="btn btn-primary">Inserir novo download</a>
            @endif
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

   @include('manager::inc.messages')

    @if (Check::can('downloads', 'read'))
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Titulo</th>
                    <th width="15%">Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($downloads as $download)
                    <tr>
                        <td>{{ $download->id }}</td>
                        <td>{{ $download->title }}</td>
                        <td>
                            <div class="btn-group btn-group-sm">
                                @if (Check::can('downloads', 'update'))
                                    <a href="{{ route('manager.downloads.edit', $download->id) }}" class="btn btn-default" title="Editar">
                                        <span class="input-addon"><span class="glyphicon glyphicon-pencil"></span></span>
                                        editar
                                    </a>
                                @endif

                                @if (Check::can('downloads', 'destroy'))
                                    <a href="{{ route('manager.downloads.destroy', $download->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                        <span class="input-addon"><span class="glyphicon glyphicon-trash"></span></span>
                                        excluir
                                    </a>
                                @endif
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        {{ $downloads->appends(Input::except('page'))->links() }}
    @endif
@stop
